Bug 824601 - Anaconda doesn't fill "Interconnect" and "Serial Number" columns for some DASD devices
Anaconda doesn't fill "Interconnect" and "Serial Number" columns for some DAS...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
s390x Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: 729910
Blocks: 691780 756082
  Show dependency treegraph
 
Reported: 2012-05-23 15:55 EDT by Jesse Keating
Modified: 2013-01-09 22:35 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-18.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 729910
Environment:
Last Closed: 2012-10-03 19:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-05-23 15:55:07 EDT
+++ This bug was initially created as a clone of Bug #729910 +++

Description of problem:
When installing on DASD devices that don't need to be formatted during the install with dasdfmt, anaconda doesn't fill "Interconnect" and "Serial Number" columns in filtering UI.
On the other hand, when dasdfmt is used to format an uninitialized DASD drive during the install, both columns are filled.
See attached screenshot - DASD drive with device number 3527 was formatted with cpfmtxa before starting the install and then formatted by anaconda.

Version-Release number of selected component (if applicable):
anaconda-13.21.126-1.el6

How reproducible:
always

Steps to Reproduce:
1. run cpfmtxa in CMS to format any DASD disk
2. start the installation in graphical mode
3. when asked, format all uninitialized DASD disks
4. proceed to the filtering UI
  
Actual results:
Only the DASD drive formatted during the installation has "Interconnect" and "Serial Number" fields filled.

Expected results:
"Interconnect" and "Serial Number" fields are filled for all DASD drives.
Comment 1 Jesse Keating 2012-05-23 20:09:42 EDT
Interestingly, if I call ssh in and call udevadm trigger before anaconda starts, when anaconda gets to that screen all the details are filled in.  Not entirely sure what that means but I'll discuss it with storage folks.
Comment 2 Jesse Keating 2012-06-08 18:04:18 EDT
Patch posted and accepted upstream for this.  Will be in the next build of anaconda for rawhide.
Comment 3 Jesse Keating 2012-10-03 19:57:27 EDT
Fixed in branched.

Note You need to log in before you can comment on or make changes to this bug.